Bug 515250 - bugzilla is missing perl deps on EL4
Summary: bugzilla is missing perl deps on EL4
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: bugzilla
Version: el4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: ActualBug
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-03 14:21 UTC by Noa Resare
Modified: 2012-03-01 20:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-01 20:02:53 UTC


Attachments (Terms of Use)

Description Noa Resare 2009-08-03 14:21:57 UTC
Description of problem:
A yum install bugzilla fails on a EL4 box with an updated base system + epel due
to the following missing dependencies

perl(Email::MIME::Modifier)
perl(Email::MIME)
perl(Email::Send)
perl(Email::Address)

Version-Release number of selected component (if applicable):
3.2.4-1.el4

How reproducible:
always

Steps to Reproduce:
1. run 'yum install bugzilla' on an EPEL enabled EL4 system
2.
3.
  
Actual results:
Error: Missing Dependency: perl(Email::MIME::Modifier) is needed by package bugzilla
Error: Missing Dependency: perl(Email::MIME) is needed by package bugzilla
Error: Missing Dependency: perl(Email::Send) is needed by package bugzilla
Error: Missing Dependency: perl(Email::Address) is needed by package bugzilla


Expected results:
bugzilla installed

Additional info:
Of course those for dependencies trigger quite a large entourage of perl packages that are needed to satisfy them.

Being bored i sat down to rebuild the needed packages.

perl-B-Keywords-1.06-1.el5.src.rpm
perl-Config-Tiny-2.10-1.el5.src.rpm
perl-Devel-Cycle-1.07-1.el5.src.rpm
perl-Email-Abstract-2.132-4.el5.2.src.rpm
perl-Email-Address-1.888-1.el5.src.rpm
perl-Email-MessageID-1.35-1.el5.src.rpm
perl-Email-MIME-1.859-1.el5.src.rpm
perl-Email-MIME-ContentType-1.012-1.el5.src.rpm
perl-Email-MIME-Encodings-1.313-1.el5.src.rpm
perl-Email-MIME-Modifier-1.441-1.el5.src.rpm
perl-Email-Send-2.185-3.el5.src.rpm
perl-Email-Simple-1.999-1.1.el5.src.rpm
perl-File-HomeDir-0.62-1.el5.src.rpm
perl-Font-AFM-1.19-4.el5.src.rpm
perl-Hook-LexWrap-0.20-4.el5.src.rpm
perl-HTML-Format-2.04-6.el5.src.rpm
perl-IO-All-0.36-1.el5.src.rpm
perl-List-MoreUtils-0.22-2.el5.src.rpm
perl-Mail-Box-2.073-1.el5.src.rpm
perl-Mail-Transport-Dbx-0.07-3.el5.src.rpm
perl-MIME-Types-1.20-1.el5.src.rpm
perl-PadWalker-1.2-1.el5.src.rpm
perl-Params-Util-0.25-1.el5.src.rpm
perl-Perl-Critic-1.05-1.el5.src.rpm
perl-Pod-Spell-1.01-2.el5.src.rpm
perl-PPI-1.118-1.el5.src.rpm
perl-Return-Value-1.302-3.el5.src.rpm
perl-String-Format-1.14-1.el5.src.rpm
perl-Test-Base-0.53-1.el5.src.rpm
perl-Test-ClassAPI-1.04-2.el5.src.rpm
perl-Test-Memory-Cycle-1.04-1.el5.src.rpm
perl-Test-Object-0.07-2.el5.src.rpm
perl-Test-Perl-Critic-1.01-1.el5.src.rpm
perl-Test-Pod-Coverage-1.08-3.1.el5.src.rpm
perl-Test-Spelling-0.11-1.el5.src.rpm
perl-Test-SubCalls-1.06-1.el5.src.rpm
perltidy-20070801-1.el5.src.rpm

Rebuild notes: 
* There is a cyclic dependency between perl-Email-Abstract and perl-Mail-Box
* perl-Email-MIME-Encodings:  removed specific version deps from MIME::Base64 and MIME::QuotedPrint
* perl-Email-MIME-Modifier: disabled 'make test'
* perl-Perl-Critic: disabled 'make test'
* perl-Test-Memory-Cycle: Removed Test::Simple version dependency
* perl-Test-Object: Removed Test::Builder::Tester version dependency
* perl-Test-SubCalls: Removed Test::Builder::Tester version dependency

Comment 1 Itamar Reis Peixoto 2009-08-04 04:41:47 UTC
Can you test this version and let me know if works for you ?

http://koji.fedoraproject.org/koji/taskinfo?taskID=1578189

if you have problem's please post a comment into the bug #515158

*** This bug has been marked as a duplicate of bug 515158 ***

Comment 2 Noa Resare 2009-08-04 09:05:02 UTC
Having put some more thought of this I'm positive that bug #515158 is not the same thing.

If I understand this correctly, for this to e resolved there needs to be quite a few packages built for el4 for bugzilla to be installable. Fortunately, most of the packages can be rebuilt from the el5 sources without any changes.

In the meantime, perhaps we should remove bugzilla from el4 as it can not be installed until all the dependencies are available.

Comment 3 Noa Resare 2009-08-04 13:22:13 UTC
It turns out that I had a stale perl-Template-Toolkit package from some previous experiments with bugzilla on my box, now that I have rebuilt all the missing dependencies from EL5 EPEL the total number of packages rebuilt turns out to be 64.

Since I have done the work of rebuilding all those pagckages for my own use anyway I have put them online at http://resare.com/noa/rpms/bugzilla-el4/
so that others lurking the bugzilla can use them as well.

I will now try to contact the owners of all packages and try to get them to maintain a EL4 version as well. Wish me luck :)

Comment 4 Noa Resare 2009-08-04 14:21:06 UTC
Well, that was interesting exercise. It turns out that I might have done this all wrong. 

EL4 base packages contain too old versions of CGI.pm (contained in the perl package), perl-DBI and perl-DBD-MySQL to satisfy the base requirements of recent bugzilla versions.

Of course, the minimum version requirements can be bypassed by patching bugzilla, but when digging somewhat deeper into this it seems like they are there for good reasons.

The only workable solution IMHO is to maintain a 2.22.x bugzilla version for EL4, which has library requirements that matches EL4

Comment 5 Kevin Fenzi 2012-03-01 20:02:53 UTC
EPEL-4 has reached end of life and is no longer supported. 

Please retest your bug against EPEL-5 or EPEL-6 and re-open if the bug persists in the packages available in those releases, or file a new bug. 

See: http://lists.fedoraproject.org/pipermail/epel-announce/2012-February/000015.html


Note You need to log in before you can comment on or make changes to this bug.